#!/usr/bin/php
<?php
if ($argc<3) {
	printf("Usage: %s <thumbnail.jpg> <url>\n",$argv[0]);
	return 1;
}

$thumb_file=$argv[1];
$post_url=$argv[2];

$ch = curl_init();
// Set the cURL options
curl_setopt($ch, CURLOPT_URL,            $post_url);
curl_setopt($ch, CURLOPT_POST,           TRUE);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

$lstat=array("mtime"=>0,"size"=>0);

while(1) {
	clearstatcache(false,$thumb_file);
	if (file_exists($thumb_file)) {
		$cstat=stat($thumb_file);
		if (	is_array($cstat)
			&&	(	(	array_key_exists("mtime",$cstat)
					 && $cstat["mtime"] != $lstat["mtime"])
				 ||	(	array_key_exists("size",$cstat)
					 && $cstat["size"] != $lstat["size"])
				)
		   ) {
			$headers=array("Content-Type: image/jpg","Content-Length: ".$cstat["size"]);
			curl_setopt($ch, CURLOPT_POSTFIELDS,     file_get_contents($thumb_file));
			curl_setopt($ch, CURLOPT_HTTPHEADER,     $headers);
			
			$result = curl_exec($ch);
			$lstat=$cstat;
			var_export($result);
		}
	}
	usleep(200*1000);
}

curl_close($ch);
